/*

	Copyright  2003 Frank Condello
	
	Portions Copyright  2001 Dair Grant <mailto:dair@webthing.net>
	and Copyright  2003 Joe Strout <joe@strout.net> (from "LoadSaveJPEG")
	
	"GetData" based on code by Will Leshner <leshner@ljug.com>
	
	Linux port contributed by Jonathan Johnson <jonj@realsoftware.com>

*/

/* RBCommon.h: Include this instead of rb_plugin.h to gain some useful types and macros */

#ifndef RBCOMMON_H
#define RBCOMMON_H

#include "rb_plugin.h"

// So Win32 code doesn't complain
#if TARGET_OS_WIN32
typedef unsigned char	UInt8;
typedef signed char		SInt8;
typedef unsigned short	UInt16;
typedef signed short	SInt16;
typedef unsigned long	UInt32;
typedef signed long		SInt32;
#endif

// Needed for Linux (the rest are in macTypesForAnsi.h)
#ifndef UInt8
typedef unsigned char	UInt8;
#endif

// Took a cue from TT's starter kit (not worried about 68k types though)
typedef long			RBinteger;
typedef unsigned long	RBbool;
typedef long			RBboolRet;
typedef double			RBdouble;
typedef float			RBsingle;

// Easier on the eyes...
#define SizeOfProperties(x) ( sizeof(x) / sizeof(REALproperty) )
#define SizeOfMethods(x) ( sizeof(x) / sizeof(REALmethodDefinition) )
#define SizeOfEvents(x) ( sizeof(x) / sizeof(REALevent) )

#endif // RBCOMMON_H